be.ehealth.businessconnector.mycarenet.agreement.builders

## Interface ResponseObjectBuilder

- All Known Implementing Classes:
    ResponseObjectBuilderImpl

      public interface ResponseObjectBuilder

  Provides method(s) to build a business response from WS response. Default impl : `ResponseObjectBuilderImpl` Factory : `ResponseObjectBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedEncryptedBuilderResponse` | `handleAskAgreementResponse(AskAgreementResponse response, AskAgreementBuilderRequest request)` Handles the response of the WS, checks the signatures and decode the content (if necessary) to create a `SignedEncryptedBuilderResponse` object.
    `SignedEncryptedBuilderResponse` | `handleConsultAgreementResponse(ConsultAgreementResponse response, ConsultAgreementBuilderRequest request)`

- - ### Method Detail

    - #### handleAskAgreementResponse

          SignedEncryptedBuilderResponse handleAskAgreementResponse(AskAgreementResponse response,
                                                                    AskAgreementBuilderRequest request)
                                                             throws TechnicalConnectorException

      Handles the response of the WS, checks the signatures and decode the content (if necessary) to create a `SignedEncryptedBuilderResponse` object.
      Parameters:
        `response` - the response sent by the WS
      Returns:
        a MemberDataBuilderResponse object who contains all info
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### handleConsultAgreementResponse

          SignedEncryptedBuilderResponse handleConsultAgreementResponse(ConsultAgreementResponse response,
                                                                        ConsultAgreementBuilderRequest request)
                                                                 throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

Connector Packaging PHYSIOTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.